import request from '@/utils/request'

// 获取活动列表
export function getActivityList(data) {
  return request({
    url: '/activity/getactivitylist',
    method: 'get',
    params: data
  })
}

// 添加活动
export function addActivity(data) {
  return request({
    url: '/activity/addactivity',
    method: 'post',
    data
  })
}

// 删除活动
export function deleteActivity(data) {
  return request({
    url: '/activity/destoryactivity',
    method: 'post',
    data
  })
}

// 禁用启用活动
export function disableActivity(data) {
  return request({
    url: '/activity/disabledactivity',
    method: 'post',
    data
  })
}

// 修改活动
export function editActivity(data) {
  return request({
    url: '/activity/updateactivity',
    method: 'post',
    data
  })
}

// 上传赠品
export function uploadGift(data) {
  return request({
    url: '/activity/uploadgiftimage',
    method: 'post',
    data
  })
}

// 获取荣誉门槛列表
export function getHonorList() {
  return request({
    url: '/activity/get_act_honor_info',
    method: 'get'
  })
}

